Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\BinaryBase\Value Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\BinaryBase\Value:

## Public Member Functions
| __construct (array $fileData=[])
| Construct a new Value object. More...
| __toString ()
| Returns a string representation of the field value. More...
| __get ($propertyName)
| Magic get function handling read to non public properties. More...
| __set ($propertyName, $propertyValue)
| Magic set function handling writes to non public properties. More...
| __isset ($propertyName)
| Magic isset function handling isset() to non public properties. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Public Attributes
| $inputUri
| $fileName
| $fileSize
| $mimeType
| $uri

## Protected Attributes
| $id

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 17 of file Core/FieldType/BinaryBase/Value.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\BinaryBase\Value::__construct | ( | array | $fileData = `[]` | ) |

Construct a new Value object.

Parameters

  array | $fileData |

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 68 of file Core/FieldType/BinaryBase/Value.php.

## Member Function Documentation

## ◆ __get()

eZ\Publish\Core\FieldType\BinaryBase\Value::__get | ( |  | $property | ) |

Magic get function handling read to non public properties.

Returns value for all readonly (protected) properties.

@ignore This method is for internal use

Exceptions

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 95 of file Core/FieldType/BinaryBase/Value.php.

References eZ\Publish\Core\FieldType\BinaryBase\Value\$inputUri.

## ◆ __isset()

eZ\Publish\Core\FieldType\BinaryBase\Value::__isset | ( |  | $property | ) |

Magic isset function handling isset() to non public properties.

Returns true for all (public/)protected/private properties.

@ignore This method is for internal use

Parameters

  string | $property | Name of the property

Returns
  bool

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 116 of file Core/FieldType/BinaryBase/Value.php.

## ◆ __set()

eZ\Publish\Core\FieldType\BinaryBase\Value::__set | ( |  | $property,
|  |  | $value
| ) |  |

Magic set function handling writes to non public properties.

@ignore This method is for internal use

Exceptions

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 104 of file Core/FieldType/BinaryBase/Value.php.

## ◆ __toString()

eZ\Publish\Core\FieldType\BinaryBase\Value::__toString | ( |  | ) |

Returns a string representation of the field value.

Returns
  string

Reimplemented from eZ\Publish\Core\FieldType\Value.

Definition at line 90 of file Core/FieldType/BinaryBase/Value.php.

References eZ\Publish\Core\FieldType\BinaryBase\Value\$uri.

## Member Data Documentation

## ◆ $fileName

eZ\Publish\Core\FieldType\BinaryBase\Value::$fileName

Definition at line 40 of file Core/FieldType/BinaryBase/Value.php.

## ◆ $fileSize

eZ\Publish\Core\FieldType\BinaryBase\Value::$fileSize

Definition at line 47 of file Core/FieldType/BinaryBase/Value.php.

## ◆ $id

eZ\Publish\Core\FieldType\BinaryBase\Value::$id
| protected

Definition at line 26 of file Core/FieldType/BinaryBase/Value.php.

## ◆ $inputUri

eZ\Publish\Core\FieldType\BinaryBase\Value::$inputUri

Definition at line 33 of file Core/FieldType/BinaryBase/Value.php.

Referenced by eZ\Publish\Core\FieldType\BinaryBase\Value\__get().

## ◆ $mimeType

eZ\Publish\Core\FieldType\BinaryBase\Value::$mimeType

Definition at line 54 of file Core/FieldType/BinaryBase/Value.php.

## ◆ $uri

eZ\Publish\Core\FieldType\BinaryBase\Value::$uri

Definition at line 61 of file Core/FieldType/BinaryBase/Value.php.

Referenced by eZ\Publish\Core\FieldType\BinaryBase\Value\__toString().

The documentation for this class was generated from the following file:

- Core/FieldType/BinaryBase/Value.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.